package org.acme

import io.smallrye.mutiny.Multi
import io.smallrye.mutiny.coroutines.asFlow
import kotlinx.coroutines.flow.firstOrNull
import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.Produces
import javax.ws.rs.core.MediaType

@Path("/hello")
class ReactiveGreetingResource {

    @GET
    @Produces(MediaType.TEXT_PLAIN)
    suspend fun hello(): String? {
      return Multi.createFrom().items("1", "2", "3").asFlow().firstOrNull()
    }
}